diff -ruN inn-2.4.3-orig/configure.in inn-2.4.3/configure.in
--- inn-2.4.3-orig/configure.in	2006-03-20 06:14:57.000000000 +0200
+++ inn-2.4.3/configure.in	2006-09-17 19:10:58.000000000 +0300
@@ -647,20 +647,20 @@
         done
     fi
     if test x"$BERKELEY_DB_DIR" = xyes ; then
-        for v in db43 db42 db41 db4 db3 db2 ; do
-            if test -d "/usr/local/include/$v" ; then
+        for v in 4.2 4.1 4 3 2 ; do
+            if test -d "/usr/local/include/db$v" ; then
                 BERKELEY_DB_LDFLAGS="-L/usr/local/lib"
-                BERKELEY_DB_CFLAGS="-I/usr/local/include/$v"
-                BERKELEY_DB_LIB="-l$v"
+                BERKELEY_DB_CFLAGS="-I/usr/local/include/db$v"
+                BERKELEY_DB_LIB="-ldb-$v"
                 AC_MSG_RESULT(FreeBSD locations)
                 break
             fi
         done
         if test x"$BERKELEY_DB_LIB" = x ; then
-            for v in db43 db42 db41 db4 db3 db2 ; do
-                if test -d "/usr/include/$v" ; then
-                    BERKELEY_DB_CFLAGS="-I/usr/include/$v"
-                    BERKELEY_DB_LIB="-l$v"
+            for v in 4.2 4.1 4 3 2 ; do
+                if test -d "/usr/include/db$v" ; then
+                    BERKELEY_DB_CFLAGS="-I/usr/include/db$v"
+                    BERKELEY_DB_LIB="-ldb-$v"
                     AC_MSG_RESULT(Linux locations)
                     break
                 fi
diff -ruN inn-2.4.3-orig/frontends/ovdb_stat.c inn-2.4.3/frontends/ovdb_stat.c
--- inn-2.4.3-orig/frontends/ovdb_stat.c	2006-03-20 06:14:57.000000000 +0200
+++ inn-2.4.3/frontends/ovdb_stat.c	2006-09-17 19:28:48.000000000 +0300
@@ -266,13 +266,17 @@
  { INT32, F(st_nobjects),      -1, -1,           "Current objects" },
  { INT32, F(st_maxnobjects),   -1, -1,           "Maximum objects" },
 #endif
+#if !(DB_VERSION_MAJOR >= 4 && DB_VERSION_MINOR >= 4)
  { INT32, F(st_nconflicts),    -1, -1,           "Lock conflicts" },
+#endif
  { INT32, F(st_nrequests),     -1, -1,           "Lock requests" },
  { INT32, F(st_nreleases),     -1, -1,           "Lock releases" },
  { DIFF32, F(st_nrequests), F(st_nreleases), F(st_ndeadlocks), "Outstanding locks" },
 #if DB_VERSION_MAJOR >= 4 || (DB_VERSION_MAJOR == 3 && DB_VERSION_MINOR > 0)
+#if !(DB_VERSION_MAJOR >= 4 && DB_VERSION_MINOR >= 4)
  { INT32, F(st_nnowaits),      -1, -1,           "Lock requests that would have waited" },
 #endif
+#endif
  { INT32, F(st_ndeadlocks),    -1, -1,           "Deadlocks" },
 #if DB_VERSION_MAJOR >= 4
  { INT32, F(st_nlocktimeouts), -1, -1,           "Lock timeouts" },
